#!/usr/bin/env python

import os.path;
import sys;

thisScript = os.path.abspath(sys.argv.pop(0));
scriptBase = os.path.basename(thisScript);

if (len(sys.argv) != 2) :
    sys.exit("Usage: " + scriptBase + " packagePath targetPath");

packagePath = sys.argv.pop(0);
targetPath  = sys.argv.pop(0);

if (not os.path.isdir(targetPath)) :
    workingPath = os.path.dirname(targetPath);
    fileName    = os.path.basename(packagePath);
    print("Unbundling " + fileName);
    if (os.system("unzip -n -q -d " + workingPath + " " + packagePath)) :
        sys.exit("Failed to unbundle " + fileName);

if (os.path.isdir(targetPath)) :
    dirName  = os.path.dirname(targetPath);
    baseName = os.path.basename(targetPath);
    
    # Create an empty file to use as a dependency
    kludgeFile = os.path.join(dirName, ".unbundled_" + baseName);
    if (not os.path.isfile(kludgeFile)) :
        file(kludgeFile, "w").close();

sys.exit(0);
